Rated 5 out of 5 stars

works fine with firefox 3.6 but i use firefox 4 beta and it doesnt work with it. please update.

This review is for a previous version of the add-on (1.0.7).